<!DOCTYPE html>

<html>
  <head>
  <meta charset='utf-8'>
  <title>TestNG reports</title>

    <link type="text/css" href="testng-reports.css" rel="stylesheet" />  
    <script type="text/javascript" src="jquery-1.7.1.min.js"></script>
    <script type="text/javascript" src="testng-reports.js"></script>
    <script type="text/javascript" src="https://www.google.com/jsapi"></script>
    <script type='text/javascript'>
      google.load('visualization', '1', {packages:['table']});
      google.setOnLoadCallback(drawTable);
      var suiteTableInitFunctions = new Array();
      var suiteTableData = new Array();
    </script>
    <!--
      <script type="text/javascript" src="jquery-ui/js/jquery-ui-1.8.16.custom.min.js"></script>
     -->
  </head>

  <body>
    <div class="top-banner-root">
      <span class="top-banner-title-font">Test results</span>
      <br/>
      <span class="top-banner-font-1">1 suite, 2 failed tests</span>
    </div> <!-- top-banner-root -->
    <div class="navigator-root">
      <div class="navigator-suite-header">
        <span>All suites</span>
        <a href="#" class="collapse-all-link" title="Collapse/expand all the suites">
          <img class="collapse-all-icon" src="collapseall.gif">
          </img> <!-- collapse-all-icon -->
        </a> <!-- collapse-all-link -->
      </div> <!-- navigator-suite-header -->
      <div class="suite">
        <div class="rounded-window">
          <div class="suite-header light-rounded-window-top">
            <a href="#" class="navigator-link" panel-name="suite-Suite">
              <span class="suite-name border-failed">Suite</span>
            </a> <!-- navigator-link -->
          </div> <!-- suite-header light-rounded-window-top -->
          <div class="navigator-suite-content">
            <div class="suite-section-title">
              <span>Info</span>
            </div> <!-- suite-section-title -->
            <div class="suite-section-content">
              <ul>
                <li>
                  <a href="#" class="navigator-link " panel-name="test-xml-Suite">
                    <span>D:\training\eclipse Workspace\POC1\testng1.xml</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="testlist-Suite">
                    <span class="test-stats">1 test</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="group-Suite">
                    <span>1 group</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="times-Suite">
                    <span>Times</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="reporter-Suite">
                    <span>Reporter output</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="ignored-methods-Suite">
                    <span>Ignored methods</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="chronological-Suite">
                    <span>Chronological view</span>
                  </a> <!-- navigator-link  -->
                </li>
              </ul>
            </div> <!-- suite-section-content -->
            <div class="result-section">
              <div class="suite-section-title">
                <span>Results</span>
              </div> <!-- suite-section-title -->
              <div class="suite-section-content">
                <ul>
                  <li>
                    <span class="method-stats">10 methods, 2 failed,   8 passed</span>
                  </li>
                  <li>
                    <span class="method-list-title failed">Failed methods</span>
                    <span class="show-or-hide-methods failed">
                      <a href="#" panel-name="suite-Suite" class="hide-methods failed suite-Suite"> (hide)</a> <!-- hide-methods failed suite-Suite -->
                      <a href="#" panel-name="suite-Suite" class="show-methods failed suite-Suite"> (show)</a> <!-- show-methods failed suite-Suite -->
                    </span>
                    <div class="method-list-content failed suite-Suite">
                      <span>
                        <img width="3%" src="failed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Suite" title="TEST_RUNNER.testrunner" hash-for-method="feature(AUT New Resource Alocation)">feature(AUT New Resource Alocation)</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img width="3%" src="failed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Suite" title="TEST_RUNNER.testrunner" hash-for-method="feature(AUT  login)">feature(AUT  login)</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                    </div> <!-- method-list-content failed suite-Suite -->
                  </li>
                  <li>
                    <span class="method-list-title passed">Passed methods</span>
                    <span class="show-or-hide-methods passed">
                      <a href="#" panel-name="suite-Suite" class="hide-methods passed suite-Suite"> (hide)</a> <!-- hide-methods passed suite-Suite -->
                      <a href="#" panel-name="suite-Suite" class="show-methods passed suite-Suite"> (show)</a> <!-- show-methods passed suite-Suite -->
                    </span>
                    <div class="method-list-content passed suite-Suite">
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Suite" title="TEST_RUNNER.testrunner" hash-for-method="feature(AUT  login)">feature(AUT  login)</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Suite" title="TEST_RUNNER.testrunner" hash-for-method="feature(AUT  login)">feature(AUT  login)</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Suite" title="TEST_RUNNER.testrunner" hash-for-method="feature(Employee Allocation)">feature(Employee Allocation)</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Suite" title="TEST_RUNNER.testrunner" hash-for-method="feature(AUT Login)">feature(AUT Login)</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Suite" title="TEST_RUNNER.testrunner" hash-for-method="feature(AUT_LOGIN1)">feature(AUT_LOGIN1)</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Suite" title="TEST_RUNNER.testrunner" hash-for-method="feature(Resource Allocation)">feature(Resource Allocation)</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Suite" title="TEST_RUNNER.testrunner" hash-for-method="feature(AUT_LOGIN)">feature(AUT_LOGIN)</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Suite" title="TEST_RUNNER.testrunner" hash-for-method="feature(AUT_LOGIN_SUP)">feature(AUT_LOGIN_SUP)</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                    </div> <!-- method-list-content passed suite-Suite -->
                  </li>
                </ul>
              </div> <!-- suite-section-content -->
            </div> <!-- result-section -->
          </div> <!-- navigator-suite-content -->
        </div> <!-- rounded-window -->
      </div> <!-- suite -->
    </div> <!-- navigator-root -->
    <div class="wrapper">
      <div class="main-panel-root">
        <div panel-name="suite-Suite" class="panel Suite">
          <div class="suite-Suite-class-failed">
            <div class="main-panel-header rounded-window-top">
              <img src="failed.png"/>
              <span class="class-name">TEST_RUNNER.testrunner</span>
            </div> <!-- main-panel-header rounded-window-top -->
            <div class="main-panel-content rounded-window-bottom">
              <div class="method">
                <div class="method-content">
                  <a name="feature(AUT New Resource Alocation)">
                  </a> <!-- feature(AUT New Resource Alocation) -->
                  <span class="method-name">feature</span>
                  <span class="parameters">(AUT New Resource Alocation)</span>
                  <div class="stack-trace">cucumber.runtime.CucumberException: java.lang.AssertionError: The following asserts failed:
	expected [Ashok Kumar (325106)] but found [ ]
	at cucumber.api.testng.TestNGCucumberRunner.runCucumber(TestNGCucumberRunner.java:69)
	at cucumber.api.testng.AbstractTestNGCucumberTests.feature(AbstractTestNGCucumberTests.java:21)
Caused by: java.lang.AssertionError: The following asserts failed:
	expected [Ashok Kumar (325106)] but found [ ]
	at STEP_DEF.test1.then_able_to_navigate_to_next_window(test1.java:1190)
	at ✽.And Then able to navigate to next window(f.feature:7)
... Removed 25 stack frames
</div> <!-- stack-trace -->
                  <em>
(Runs Cucumber Feature)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="feature(AUT  login)">
                  </a> <!-- feature(AUT  login) -->
                  <span class="method-name">feature</span>
                  <span class="parameters">(AUT  login)</span>
                  <div class="stack-trace">cucumber.runtime.CucumberException: java.lang.AssertionError: The following asserts failed:
	expected [Dec, 2019] but found [Nov, 2019]
	at cucumber.api.testng.TestNGCucumberRunner.runCucumber(TestNGCucumberRunner.java:69)
	at cucumber.api.testng.AbstractTestNGCucumberTests.feature(AbstractTestNGCucumberTests.java:21)
Caused by: java.lang.AssertionError: The following asserts failed:
	expected [Dec, 2019] but found [Nov, 2019]
	at STEP_DEF.test1.verifyAllocationsforMonth(test1.java:852)
	at ✽.And verify allocationsforMonth(d.feature:15)
... Removed 25 stack frames
</div> <!-- stack-trace -->
                  <em>
(Runs Cucumber Feature)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
            </div> <!-- main-panel-content rounded-window-bottom -->
          </div> <!-- suite-Suite-class-failed -->
          <div class="suite-Suite-class-passed">
            <div class="main-panel-header rounded-window-top">
              <img src="passed.png"/>
              <span class="class-name">TEST_RUNNER.testrunner</span>
            </div> <!-- main-panel-header rounded-window-top -->
            <div class="main-panel-content rounded-window-bottom">
              <div class="method">
                <div class="method-content">
                  <a name="feature(AUT  login)">
                  </a> <!-- feature(AUT  login) -->
                  <span class="method-name">feature</span>
                  <span class="parameters">(AUT  login)</span>
                  <em>
(Runs Cucumber Feature)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="feature(AUT  login)">
                  </a> <!-- feature(AUT  login) -->
                  <span class="method-name">feature</span>
                  <span class="parameters">(AUT  login)</span>
                  <em>
(Runs Cucumber Feature)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="feature(Employee Allocation)">
                  </a> <!-- feature(Employee Allocation) -->
                  <span class="method-name">feature</span>
                  <span class="parameters">(Employee Allocation)</span>
                  <em>
(Runs Cucumber Feature)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="feature(AUT Login)">
                  </a> <!-- feature(AUT Login) -->
                  <span class="method-name">feature</span>
                  <span class="parameters">(AUT Login)</span>
                  <em>
(Runs Cucumber Feature)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="feature(AUT_LOGIN1)">
                  </a> <!-- feature(AUT_LOGIN1) -->
                  <span class="method-name">feature</span>
                  <span class="parameters">(AUT_LOGIN1)</span>
                  <em>
(Runs Cucumber Feature)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="feature(Resource Allocation)">
                  </a> <!-- feature(Resource Allocation) -->
                  <span class="method-name">feature</span>
                  <span class="parameters">(Resource Allocation)</span>
                  <em>
(Runs Cucumber Feature)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="feature(AUT_LOGIN)">
                  </a> <!-- feature(AUT_LOGIN) -->
                  <span class="method-name">feature</span>
                  <span class="parameters">(AUT_LOGIN)</span>
                  <em>
(Runs Cucumber Feature)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="feature(AUT_LOGIN_SUP)">
                  </a> <!-- feature(AUT_LOGIN_SUP) -->
                  <span class="method-name">feature</span>
                  <span class="parameters">(AUT_LOGIN_SUP)</span>
                  <em>
(Runs Cucumber Feature)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
            </div> <!-- main-panel-content rounded-window-bottom -->
          </div> <!-- suite-Suite-class-passed -->
        </div> <!-- panel Suite -->
        <div panel-name="test-xml-Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">D:\training\eclipse Workspace\POC1\testng1.xml</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <pre>
&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;
&lt;!DOCTYPE suite SYSTEM &quot;http://testng.org/testng-1.0.dtd&quot;&gt;
&lt;suite guice-stage=&quot;DEVELOPMENT&quot; name=&quot;Suite&quot;&gt;
  &lt;test thread-count=&quot;5&quot; name=&quot;Test&quot;&gt;
    &lt;classes&gt;
      &lt;class name=&quot;TEST_RUNNER.testrunner&quot;/&gt;
    &lt;/classes&gt;
  &lt;/test&gt; &lt;!-- Test --&gt;
&lt;/suite&gt; &lt;!-- Suite --&gt;
            </pre>
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="testlist-Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Tests for Suite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <ul>
              <li>
                <span class="test-name">Test (1 class)</span>
              </li>
            </ul>
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="group-Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Groups for Suite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="test-group">
              <span class="test-group-name">cucumber</span>
              <br/>
              <div class="method-in-group">
                <span class="method-in-group-name">feature</span>
                <br/>
              </div> <!-- method-in-group -->
            </div> <!-- test-group -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="times-Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Times for Suite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="times-div">
              <script type="text/javascript">
suiteTableInitFunctions.push('tableData_Suite');
function tableData_Suite() {
var data = new google.visualization.DataTable();
data.addColumn('number', 'Number');
data.addColumn('string', 'Method');
data.addColumn('string', 'Class');
data.addColumn('number', 'Time (ms)');
data.addRows(10);
data.setCell(0, 0, 0)
data.setCell(0, 1, 'feature')
data.setCell(0, 2, 'TEST_RUNNER.testrunner')
data.setCell(0, 3, 132048);
data.setCell(1, 0, 1)
data.setCell(1, 1, 'feature')
data.setCell(1, 2, 'TEST_RUNNER.testrunner')
data.setCell(1, 3, 111862);
data.setCell(2, 0, 2)
data.setCell(2, 1, 'feature')
data.setCell(2, 2, 'TEST_RUNNER.testrunner')
data.setCell(2, 3, 89155);
data.setCell(3, 0, 3)
data.setCell(3, 1, 'feature')
data.setCell(3, 2, 'TEST_RUNNER.testrunner')
data.setCell(3, 3, 28788);
data.setCell(4, 0, 4)
data.setCell(4, 1, 'feature')
data.setCell(4, 2, 'TEST_RUNNER.testrunner')
data.setCell(4, 3, 25678);
data.setCell(5, 0, 5)
data.setCell(5, 1, 'feature')
data.setCell(5, 2, 'TEST_RUNNER.testrunner')
data.setCell(5, 3, 18640);
data.setCell(6, 0, 6)
data.setCell(6, 1, 'feature')
data.setCell(6, 2, 'TEST_RUNNER.testrunner')
data.setCell(6, 3, 14552);
data.setCell(7, 0, 7)
data.setCell(7, 1, 'feature')
data.setCell(7, 2, 'TEST_RUNNER.testrunner')
data.setCell(7, 3, 12672);
data.setCell(8, 0, 8)
data.setCell(8, 1, 'feature')
data.setCell(8, 2, 'TEST_RUNNER.testrunner')
data.setCell(8, 3, 12580);
data.setCell(9, 0, 9)
data.setCell(9, 1, 'feature')
data.setCell(9, 2, 'TEST_RUNNER.testrunner')
data.setCell(9, 3, 8076);
window.suiteTableData['Suite']= { tableData: data, tableDiv: 'times-div-Suite'}
return data;
}
              </script>
              <span class="suite-total-time">Total running time: 7 minutes</span>
              <div id="times-div-Suite">
              </div> <!-- times-div-Suite -->
            </div> <!-- times-div -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="reporter-Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Reporter output for Suite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="ignored-methods-Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">0 ignored methods</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="chronological-Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Methods in chronological order</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="chronological-class">
              <div class="chronological-class-name">TEST_RUNNER.testrunner</div> <!-- chronological-class-name -->
              <div class="configuration-class before">
                <span class="method-name">setUpClass</span>
                <span class="method-start">0 ms</span>
              </div> <!-- configuration-class before -->
              <div class="test-method">
                <span class="method-name">feature(AUT_LOGIN)</span>
                <span class="method-start">192 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">feature(AUT_LOGIN1)</span>
                <span class="method-start">8268 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">feature(Employee Allocation)</span>
                <span class="method-start">22820 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <img src="failed.png">
                </img>
                <span class="method-name">feature(AUT  login)</span>
                <span class="method-start">154868 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">feature(AUT Login)</span>
                <span class="method-start">167540 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <img src="failed.png">
                </img>
                <span class="method-name">feature(AUT New Resource Alocation)</span>
                <span class="method-start">180120 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">feature(AUT_LOGIN_SUP)</span>
                <span class="method-start">291982 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">feature(Resource Allocation)</span>
                <span class="method-start">317660 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">feature(AUT  login)</span>
                <span class="method-start">406815 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">feature(AUT  login)</span>
                <span class="method-start">425455 ms</span>
              </div> <!-- test-method -->
              <div class="configuration-class after">
                <span class="method-name">tearDownClass</span>
                <span class="method-start">454243 ms</span>
              </div> <!-- configuration-class after -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
      </div> <!-- main-panel-root -->
    </div> <!-- wrapper -->
  </body>
</html>
